Skip to main content

Update 3D Secure authentication request

PATCH /v2/cards/3ds

Request

Use this request to update a 3D Secure (3DS) authentication request and send the result to the access control server (ACS).

Query parameters

accountId
string
required
The ID of the account that the card is associated with.Allowable values: An existing accountId
personId
string (uuid)
The person that the card belongs to.Allowable values: An existing personId (≤ 36 characters)

Request body schema

authenticationMethod
string
required
The method used to authenticate the cardholder.Allowable values: BIOMETRIC_FACE, BIOMETRIC_FINGERPRINT, VOICE_RECOGNITION, IN_APP_LOGIN, AUDIO_CALL, VIDEO_CALL, OTP_SMS, OTP_EMAIL, KNOWLEDGE_BASED, OTHER
authenticationResult
string
required
The result of the authentication that was performed.Allowable values: SUCCESS, FAILED, CANCELLED, NOT_AUTHENTICATED
acsTransactionId
string
required
The unique transaction identifier assigned by the ACS to identify the transaction.Allowable values: ≤ 36 characters
messageVersion
string
required
The 3DS protocol version used by the 3DS Requestor.Allowable values: ≤ 8 characters

Response

If your request is successful, you’ll receive a 200 response.
For more detailed information about this request and its response, see the API reference.